require 'resume_helper'

module ResumeGenerator
  class Resume
    def self.generate
      Prawn::Document.class_eval do
        include ResumeHelper
      end
      Prawn::Document.generate(
        "#{DOCUMENT_NAME}.pdf",
        margin_top: 0.75,
        margin_bottom: 0.75,
        margin_left: 1,
        margin_right: 1,
        background: background_image,
        repeat: true) do

        CLI.report "Generating PDF. "\
                   "This shouldn't take longer than a few seconds..."

        name
        headline

        CLI.report 'Creating social media links section...'

        social_media_icons

        CLI.report 'Creating employment history section...'

        employment_history

        CLI.report('Creating education history section...')
        education_history
      end
    end
  end
end
